#include <bits/stdc++.h>

using namespace std;

int main() {
  unsigned int n, l, h;
  cin >> n >> l;

  for (unsigned int i = 1; i <= n; i++) {
    cin >> h;
    if (h <= l) {
      cout << i << endl;
      return 0;
    }
  }

  cout << "-1" << endl;
  return 0;
}